function OnScreen(control)
    -- How big is the screen?
    local displayWidth, displayHeight = Turbine.UI.Display.GetSize();

    -- Where is the control?
    local controlLeft, controlTop = control:GetPosition();

    -- How big is the control?
    local controlWidth, controlHeight = control:GetSize();

    local controlRight = controlLeft + controlWidth;
    local controlBottom = controlTop + controlHeight;

    -- if it's too far right, bring it back:
    if (controlRight > displayWidth) then
        controlLeft = displayWidth - controlWidth;
    end

    -- if it's too far left, bring it back:
    if (controlLeft < 0) then
        controlLeft = 0;
    end

    -- if it's too far down, bring it back:
    if (controlBottom > displayHeight) then
        controlTop = displayHeight - controlHeight;
    end

    -- if it's too far up, bring it back:
    if (controlTop < 0) then
        controlTop = 0;
    end

    control:SetPosition(controlLeft, controlTop);
end